<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Add a new smartphone to the database</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link th:href="@{/styles/main.css}" rel="stylesheet" />
</head>
<body>

<ul>
  <li><a href="/">Home</a></li>
  <li><a href="/search">Search</a></li>
  <div th:if="${activeAccount != null and activeAccount.getClass().getName().equals('com.assignment3.Assignment3.models.Vendor')}">
    <li><a href="/addSmartphone">Add a Smartphone</a></li>
    <li><a href="/addLaptop">Add a Laptop</a></li>
  </div>
  <li th:if="${activeAccount != null}" style="float:right"><a href="/logout">Log out</a></li>
  <li th:if="${activeAccount != null}" style="float:right"><a href="/profile" th:text="${activeAccount.getUsername()}"></a></li>
  <li th:if="${activeAccount == null}" style="float:right"><a href="/signUp">Sign up or Login</a></li>
</ul>

<br>

<form id="inputForm" action="/addSmartphone">
  <label for="smartphoneName">Smartphone name:</label>
  <input type="text" id="smartphoneName" name="smartphoneName" required="required"><br><br>

  <label for="smartphoneReleaseDate">Smartphone brand:</label>
  <input type="text" id="smartphoneReleaseDate" name="smartphoneBrand" required="required"><br><br>

  <label for="smartphoneBrand">Smartphone release date:</label>
  <input type="date" id="smartphoneBrand" name="smartphoneReleaseDate" required="required"><br><br>

  <label for="smartphoneCamera">Smartphone camera pixels:</label>
  <input type="number" id="smartphoneCamera" name="smartphoneCamera" required="required"><br><br>

  <label for="smartphonePrice">Price:</label>
  <input type="number" id="smartphonePrice" name="smartphonePrice" required="required"><br><br>

  <input type="submit" value="Add" onsubmit="document.getElementById('inputForm').reset();
">
</form>

<br>

<div th:unless="${devices.isEmpty()}">
<p>Devices in database:</p>
<table th:object="${devices}" id="devicesInDatabase" border="1">
  <tr>
    <th>Name</th>
    <th>Release date</th>
    <th>Brand</th>
    <th>Additional information</th>
    <th>Price</th>
    <th>Vendor</th>
  </tr>
  <tr th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:each="device :${devices}">
    <td  th:text="${device.getName()}"></td>
    <td  th:text="${device.getReleaseDate()}"></td>
    <td  th:text="${device.getBrand()}"></td>
    <td  th:if="${device.getClass().getName().equals('com.assignment3.Assignment3.models.Smartphone')}" th:text="'Camera Mp: ' + ${device.getCamera()}"></td>
    <td th:text="${device.getPrice()} + '€'"></td>
    <td th:text="${device.getVendor}"></td>
  </tr>
</table>
</div>

</body>
</html>